org.mariadb.jdbc.internal.io

## Class LruTraceCache

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap<K,V>
    - - java.util.LinkedHashMap<String,TraceObject>
      - - org.mariadb.jdbc.internal.io.LruTraceCache

All Implemented Interfaces:
  Serializable, Cloneable, Map<String,TraceObject>

    public class LruTraceCache
    extends LinkedHashMap<String,TraceObject>

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class java.util.AbstractMap

`AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

### Constructor Summary

Constructors
Constructor and Description
`LruTraceCache()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clearMemory()` Permit to clear array's of array, to help garbage.
`String` `printStack()` Value of trace cache in a readable format.
`TraceObject` `put(TraceObject value)` Add value to map.
`protected boolean` `removeEldestEntry(Map.Entry<String,TraceObject> eldest)`

### Methods inherited from class java.util.LinkedHashMap

`clear, containsValue, entrySet, forEach, get, getOrDefault, keySet, replaceAll, values`

### Methods inherited from class java.util.HashMap

`clone, compute, computeIfAbsent, computeIfPresent, containsKey, isEmpty, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, size`

### Methods inherited from class java.util.AbstractMap

`equals, hashCode, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Map

`compute, computeIfAbsent, computeIfPresent, containsKey, equals, hashCode, isEmpty, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, size`

### Constructor Detail

#### LruTraceCache

    public LruTraceCache()

### Method Detail

#### put

    public TraceObject put(TraceObject value)

Add value to map.

Parameters:
  `value` - value to add
Returns:
  added value

#### removeEldestEntry

    protected boolean removeEldestEntry(Map.Entry<String,TraceObject> eldest)

Overrides:
  `removeEldestEntry` in class `LinkedHashMap<String,TraceObject>`

#### printStack

    public String printStack()

Value of trace cache in a readable format.

Returns:
  trace cache value

#### clearMemory

    public void clearMemory()

Permit to clear array's of array, to help garbage.